import { TreeNode } from './model/tree-node.model';
import { TreeModel } from './model/tree.model';
declare function buildArrayTree(obj: object, level: number): TreeNode[];
declare function buildObjectTree(arr: TreeModel[]): object;
declare function findParent(id: string, array: TreeModel[]): {};
declare function findChild(id: string, objParent: object, array: TreeModel[]): void;
declare const TreeFunctions: {
    buildArrayTree: typeof buildArrayTree;
    buildObjectTree: typeof buildObjectTree;
    findParent: typeof findParent;
    findChild: typeof findChild;
};
export default TreeFunctions;
